Advisory Details

September 28th, 2018

Foxit Reader CheckBox onFocus Use-After-Free Remote Code Execution Vulnerability

ZDI-18-1098
ZDI-CAN-6335

CVE ID CVE-2018-17617
CVSS SCORE 6.8, (AV:N/AC:M/Au:N/C:P/I:P/A:P)
AFFECTED VENDORS Foxit
AFFECTED PRODUCTS Reader
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Foxit Reader. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the handling of onFocus events. The issue results from the lack of validating the existence of an object prior to performing operations on the object. An attacker can leverage this vulnerability to execute code in the context of the current process.

ADDITIONAL DETAILS Foxit has issued an update to correct this vulnerability. More details can be found at:
https://www.foxitsoftware.com/support/security-bulletins.php
DISCLOSURE TIMELINE
  • 2018-06-22 - Vulnerability reported to vendor
  • 2018-09-28 - Coordinated public release of advisory
  • 2018-09-28 - Advisory Updated
CREDIT Steven Seeley (mr_me) of Source Incite
BACK TO ADVISORIES